# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []
name_installer = 'DesktopEditors_x86.exe'

def install():
    print('installing %s' % control.asrequirement())

    versionsoft = control['version'].split('-',1)[0]
    install_exe_if_needed(name_installer,silentflags='/VERYSILENT',key='ONLYOFFICE Desktop Editors_is1',min_version=versionsoft)
    remove_desktop_shortcut('ONLYOFFICE Desktop Editors')


def update_package():

    proxies = {}
    if isfile(makepath(user_local_appdata(),'waptconsole','waptconsole.ini')):
        proxywapt = inifile_readstring(makepath(user_local_appdata(),'waptconsole','waptconsole.ini'),'global','http_proxy')
        if proxywapt :
            proxies = {'http':proxywapt,'https':proxywapt}

    print('Update package content from upstream binary sources')

    for line in ensure_unicode(wgets('https://www.onlyoffice.com/fr/download-desktop.aspx',proxies=proxies)).splitlines() :
        if 'Version actuelle' in line:
            lastest_version = line.replace('                            Version actuelle : ','')
            break

    if Version(get_file_properties(name_installer)['ProductVersion']) < Version(lastest_version):
        remove_file(name_installer)

    if not isfile(name_installer):
        wget('http://download.onlyoffice.com/install/desktop/editors/windows/distrib/onlyoffice/%s' % name_installer,name_installer,proxies=proxies)

    control.version = get_file_properties(name_installer)['ProductVersion']+'-0'
    control.save_control_to_wapt()
